Package Halberd :: Module shell |
[show private | hide private]
[frames | no frames]

## Module Halberd.shell

Provides scanning patterns to be used as building blocks for more complex scans.

Strategies are different ways in which target scans may be done. We provide basic functionality so more complex stuff can be built upon this.

Classes
`BaseStrategy` | Defines the strategy used to scan.
`ClueReaderStrategy` | Clue reader strategy.
`MultiScanStrategy` | Scan multiple URLs.
`UniScanStrategy` | Scan a single URL.

Exceptions
`ScanError` | Generic error during scanning.

Generated by Epydoc 2.1 on Thu Aug 24 19:08:31 2006 | http://epydoc.sf.net